|  | Home · All Classes · All Functions · Overviews

# Q3VBox Class Reference
[Qt3Support module]

The Q3VBox widget provides vertical geometry management of its child widgets. More...

     #include <Q3VBox>

This class is part of the Qt 3 support library. It is provided to keep old source code working. We strongly advise against using it in new code. See Porting to Qt 4 for more information.

Inherits Q3HBox.

- List of all members, including inherited members

## Public Functions

| Q3VBox ( QWidget * parent = 0, const char * name = 0, Qt::WindowFlags f = 0 )

- 3 public functions inherited from Q3HBox
- 4 public functions inherited from Q3Frame
- 14 public functions inherited from QFrame
- 217 public functions inherited from QWidget
- 29 public functions inherited from QObject
- 13 public functions inherited from QPaintDevice

### Additional Inherited Members

- 2 properties inherited from Q3Frame
- 6 properties inherited from QFrame
- 58 properties inherited from QWidget
- 1 property inherited from QObject
- 19 public slots inherited from QWidget
- 1 public slot inherited from QObject
- 1 signal inherited from QWidget
- 1 signal inherited from QObject
- 4 static public members inherited from QWidget
- 5 static public members inherited from QObject
- 1 protected function inherited from Q3HBox
- 5 protected functions inherited from Q3Frame
- 3 protected functions inherited from QFrame
- 37 protected functions inherited from QWidget
- 7 protected functions inherited from QObject
- 1 protected function inherited from QPaintDevice
- 1 protected slot inherited from QWidget

## Detailed Description

The Q3VBox widget provides vertical geometry management of its child widgets.

All its child widgets will be placed vertically and sized according to their sizeHint()s.

See also Q3HBox.

## Member Function Documentation

### Q3VBox::Q3VBox ( QWidget * parent = 0, const char * name = 0, Qt::WindowFlags f = 0 )

Constructs a vbox widget called name with parent parent and widget flags f.